<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Street View</title>
    <style>
      html, body {
        height: 100%;
        margin: 0;
        padding: 0;
        margin-top: 10px;
      }
      #street-view {
        height: 80%;
      }
	.btn-minimize {

	    width: 20px;
	    height: 20px;
	    background-color: #F00;
	   
	}
    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script async defer
         src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCUlQEVELKOBQi39VWgb7jjjq4a4lq9jdU&callback=initialize">
    </script>
  </head>
  <body>
  <div>
  <button class="btn-minimize"></button></div>
    <div class="widget-content" id="street-view"></div>
    
    <script>
      var panorama;
      function initialize() {
      /*  panorama = new google.maps.StreetViewPanorama(
            document.getElementById('street-view'),
            {
              position: {lat: 37.869260, lng: -122.254811},
              pov: {heading: 165, pitch: 0},
              zoom: 1
            });*/
      
      	var     pano;
	var     latlng = new google.maps.LatLng(25.0805422,55.14034259999994);
	 
	var panoOptions = {
	    position: latlng,
	    pov: {
		heading: 0,
		pitch: 0
	    }
	};
	 
	pano = new google.maps.StreetViewPanorama(
	    document.getElementById('street-view'), 
	    panoOptions);
	 
	window.setInterval(function() {
	    var pov = pano.getPov();
	    pov.heading += 0.2;
	    pano.setPov(pov);
	}, 10);
      }
      
      $(".btn-minimize").click(function(){
	    $(this).toggleClass('btn-plus');
	    $(".widget-content").slideToggle();
	});
    </script>
    
  </body>
</html>
